Update organization information
curl --request PATCH \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Organization"
}
'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}"
payload = { "name": "My Organization" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Organization'})
};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "orgId",
"expression": "uuid",
"originalValue": "",
"reason": "Should be a valid UUID."
}
]
}{
"group": "organization",
"code": 2,
"message": "Organization does not exist."
}{
"group": "organization",
"code": 1201,
"message": "Get organization encountered DB error.",
"traces": [
"DB error occurred."
]
}organizations
Update organization information
Update information about a specific organization by its ID.
- Only the
organization ownercan access the API.
PATCH
/
organizations
/
{orgId}
Update organization information
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The organization's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Body
application/json
The organization info update request body.
The organization's name.
Example:
"My Organization"
Response
Successfully updated the organization info.
⌘I